/*
 * cw.h
 *
 * Written by
 *  Marco van den Heuvel <blackystardust68@yahoo.com>
 *
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README for copyright notice.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 *
 */

#ifndef VICE_CW_H
#define VICE_CW_H

#include "types.h"
#include "catweaselmkiii.h"

extern int cw_device_open(void);
extern int cw_openpci_open(void);
extern int cw_os4_open(void);

extern int cw_device_close(void);
extern int cw_openpci_close(void);
extern int cw_os4_close(void);

extern int cw_device_read(WORD addr, int chipno);
extern int cw_openpci_read(WORD addr, int chipno);
extern int cw_os4_read(WORD addr, int chipno);

extern void cw_device_store(WORD addr, BYTE val, int chipno);
extern void cw_openpci_store(WORD addr, BYTE val, int chipno);
extern void cw_os4_store(WORD addr, BYTE val, int chipno);

extern void cw_device_set_machine_parameter(long cycles_per_sec);
extern void cw_openpci_set_machine_parameter(long cycles_per_sec);
extern void cw_os4_set_machine_parameter(long cycles_per_sec);

#endif
